Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## phelps.lang.reflect
Class Cp_info

    java.lang.Object
      phelps.lang.reflect.Cp_info

public class Cp_info
extends java.lang.Object

Version:
  $Revision$ $Date$

Field Summary
`static int` | `CLASS`
`static int` | `DOUBLE`
`static int` | `FIELDREF`
`static int` | `FLOAT`
`static int` | `INTEGER`
`static int` | `INTERFACEMETHODREF`
`static int` | `LONG`
`static int` | `METHODREF`
`static int` | `NAMEANDTYPE`
`static int` | `STRING`
`byte` | `tag`
`static int` | `UTF8`

Constructor Summary
`Cp_info(ClassFile cf)`

Method Summary
`java.lang.String` | `getString(Cp_info[] cp, ClassFile cf)`
`boolean` | `isNative()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLASS

    public static final int CLASS

See Also:
  Constant Field Values

### FIELDREF

    public static final int FIELDREF

See Also:
  Constant Field Values

### METHODREF

    public static final int METHODREF

See Also:
  Constant Field Values

### INTERFACEMETHODREF

    public static final int INTERFACEMETHODREF

See Also:
  Constant Field Values

### STRING

    public static final int STRING

See Also:
  Constant Field Values

### INTEGER

    public static final int INTEGER

See Also:
  Constant Field Values

### FLOAT

    public static final int FLOAT

See Also:
  Constant Field Values

### LONG

    public static final int LONG

See Also:
  Constant Field Values

### DOUBLE

    public static final int DOUBLE

See Also:
  Constant Field Values

### NAMEANDTYPE

    public static final int NAMEANDTYPE

See Also:
  Constant Field Values

### UTF8

    public static final int UTF8

See Also:
  Constant Field Values

### tag

    public byte tag

Constructor Detail

### Cp_info

    public Cp_info(ClassFile cf)

Method Detail

### isNative

    public boolean isNative()

### getString

    public java.lang.String getString(Cp_info[] cp,
                                      ClassFile cf)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD